############################################################
#                                                          #
#               bullet_explosion.py                        #
#                                                          #
#                  Blender 2.54                            #
#                                                          #
#   Author Irvine on  http://blenderartists.org/forum/     #
#                                                          #
#         Use as you wish, but give me credit              #
#                                                          #
############################################################

# This is one of four script that control the bullet. 
# This particular section explodes the bullet after a hit.

# Setting things up
# get the bge.logic module
import bge

# get controller script is attached to
controller = bge.logic.getCurrentController()


# start the explosion
explosion = controller.actuators["bullet_explosion"]
controller.activate(explosion)

# end the bullet, it has exploded
end_bullet = controller.actuators["end_bullet"]
controller.activate(end_bullet)
    

# End script